com.io7m.r2.core

## Enum R2LightBufferComponents

- java.lang.Object
- - java.lang.Enum<R2LightBufferComponents>
  - - com.io7m.r2.core.R2LightBufferComponents

- All Implemented Interfaces:
    Serializable, Comparable<R2LightBufferComponents>

      public enum R2LightBufferComponents
      extends Enum<R2LightBufferComponents>

  A specification of which components are allocated for a light buffer.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `R2_LIGHT_BUFFER_DIFFUSE_AND_SPECULAR` The light buffer contains both diffuse and specular components.
    `R2_LIGHT_BUFFER_DIFFUSE_ONLY` The light buffer contains only a diffuse component.
    `R2_LIGHT_BUFFER_SPECULAR_ONLY` The light buffer contains only a specular component.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2LightBufferComponents` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static R2LightBufferComponents[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### R2_LIGHT_BUFFER_DIFFUSE_ONLY

          public static final R2LightBufferComponents R2_LIGHT_BUFFER_DIFFUSE_ONLY

      The light buffer contains only a diffuse component.

    - #### R2_LIGHT_BUFFER_SPECULAR_ONLY

          public static final R2LightBufferComponents R2_LIGHT_BUFFER_SPECULAR_ONLY

      The light buffer contains only a specular component.

    - #### R2_LIGHT_BUFFER_DIFFUSE_AND_SPECULAR

          public static final R2LightBufferComponents R2_LIGHT_BUFFER_DIFFUSE_AND_SPECULAR

      The light buffer contains both diffuse and specular components.

  - ### Method Detail

    - #### values

          public static R2LightBufferComponents[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (R2LightBufferComponents c : R2LightBufferComponents.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static R2LightBufferComponents valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com